ru.bitel.bgbilling.kernel.contract.config.server.bean

## Class ContractModuleConfigDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig
    - - ru.bitel.bgbilling.kernel.contract.config.server.bean.ContractModuleConfigDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractModuleConfigDao
      extends AbstractContractConfig

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

      `fields, TABLE_CONTRACT_MODULE_CONFIG, TABLE_CONTRACT_PLUGIN_CONFIG`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractModuleConfigDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int contractId, int moduleId, java.lang.String key)`
    `void` | `delete(int contractId, java.lang.String key)`
    `java.lang.String` | `get(int contractId, int moduleId, java.lang.String key)`
    `java.lang.String` | `get(int contractId, int moduleId, java.lang.String key, java.lang.String defaultValue)`
    `java.lang.String` | `get(int contractId, java.lang.String key)`
    `java.lang.String` | `get(int contractId, java.lang.String key, java.lang.String defaultValue)`
    `static java.lang.String` | `getPaymentCheckAddress(java.sql.Connection con, int moduleId, int contractId)` Получение адреса (email или телефон) для чека, более приоритетным является email.
    `static java.lang.String` | `getPaymentEmail(java.sql.Connection con, int moduleId, int contractId)` Получение email для платежа (указанного перед платежом).
    `static java.lang.String` | `getPaymentPhone(java.sql.Connection con, int moduleId, int contractId)` Получение телефона для платежа (указанного перед платежом).
    `void` | `update(int contractId, int moduleId, java.lang.String key, java.lang.String value)`
    `void` | `update(int contractId, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

      `close, deleteForContract, getKeyList, searchContractModuleConfig`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractModuleConfigDao

          public ContractModuleConfigDao(java.sql.Connection con,
                                         int moduleId)

  - ### Method Detail

    - #### get

          public java.lang.String get(int contractId,
                                      java.lang.String key)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public java.lang.String get(int contractId,
                                      java.lang.String key,
                                      java.lang.String defaultValue)
                               throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `get` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public java.lang.String get(int contractId,
                                      int moduleId,
                                      java.lang.String key)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public java.lang.String get(int contractId,
                                      int moduleId,
                                      java.lang.String key,
                                      java.lang.String defaultValue)
                               throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `get` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int contractId,
                             java.lang.String key,
                             java.lang.String value)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int contractId,
                             int moduleId,
                             java.lang.String key,
                             java.lang.String value)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int contractId,
                             java.lang.String key)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `delete` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int contractId,
                             int moduleId,
                             java.lang.String key)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `delete` in class `AbstractContractConfig`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentEmail

          public static java.lang.String getPaymentEmail(java.sql.Connection con,
                                                         int moduleId,
                                                         int contractId)
                                                  throws ru.bitel.bgbilling.common.BGException

      Получение email для платежа (указанного перед платежом).
      Parameters:
        `con` -
        `moduleId` -
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentPhone

          public static java.lang.String getPaymentPhone(java.sql.Connection con,
                                                         int moduleId,
                                                         int contractId)
                                                  throws ru.bitel.bgbilling.common.BGException

      Получение телефона для платежа (указанного перед платежом).
      Parameters:
        `con` -
        `moduleId` -
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getPaymentCheckAddress

          public static java.lang.String getPaymentCheckAddress(java.sql.Connection con,
                                                                int moduleId,
                                                                int contractId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Получение адреса (email или телефон) для чека, более приоритетным является email.
      Parameters:
        `con` -
        `moduleId` -
        `contractId` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`